%{!?project_version:%define project_version 1.2.1}
%{!?svn_rev:%define svn_rev 0}

Summary: ADCM - Multichannel digitizer control program
Name: adcm
Version: %{project_version}
Release: 1.%{svn_rev}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/adcm
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kmod-mlink = 1.28-5.3857
Requires: /usr/bin/mlink_load
BuildRequires: mlink-devel = 1.28-5.3857
Requires: qt >= 3.3.6
BuildRequires: qt-devel >= 3.3.6
Requires: qwt = 5.1.1-5
BuildRequires: qwt-devel = 5.1.1-5
#Requires: fftw >= 2.1
#BuildRequires: fftw-devel >= 2.1

%description
ADCM is a control program for multichannel digitizer boards (ADCM-16, ADCM-LTC, etc.)
The software is capable of online signal reconstruction: it calculates signal time and amplitude
from raw adc data.

%package devel
Summary: ADCM data file structures
Group: Development/Base
Requires: mlink-devel

%description devel
Header files describing adcm data file structures

%prep
%setup -q

%build
make NODEBUG=yes svn_rev=%{svn_rev}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot}%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0755,root,root,-)
/usr/bin/adcm
/usr/bin/dataprint
/usr/bin/df_decode
/usr/bin/rawdecode
/usr/bin/readfile
/usr/bin/testadc
/usr/bin/testdecoder
%doc

%files devel
%defattr(0644,root,root,-)
%{_includedir}/*.h
%{_prefix}/lib/lib*.a

%changelog

* Fri Feb  5 2010  <Ilja.Slepnev@jinr.ru>
- Version 1.2.1: support for 2xADCM16-LTC
- bugs fixed

* Thu Dec 11 2008  <Ilja.Slepnev@jinr.ru> - 
- Refactored: run control, code cleanup
- Link down handler

* Tue Nov 18 2008  <Ilja.Slepnev@jinr.ru> - 
- Initial build.

